public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Georgy Yakovlev" <gyakovlev@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-im/telegram-desktop/, net-im/telegram-desktop/files/
Date: Thu, 19 Mar 2020 17:47:59 +0000 (UTC)	[thread overview]
Message-ID: <1584640039.bd4d76cff762eb05a3005f27635f8729c6120693.gyakovlev@gentoo> (raw)

commit:     bd4d76cff762eb05a3005f27635f8729c6120693
Author:     Georgy Yakovlev <gyakovlev <AT> gentoo <DOT> org>
AuthorDate: Thu Mar 19 17:36:34 2020 +0000
Commit:     Georgy Yakovlev <gyakovlev <AT> gentoo <DOT> org>
CommitDate: Thu Mar 19 17:47:19 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bd4d76cf

net-im/telegram-desktop: bump to 1.9.21

Package-Manager: Portage-2.3.94, Repoman-2.3.21
Signed-off-by: Georgy Yakovlev <gyakovlev <AT> gentoo.org>

 net-im/telegram-desktop/Manifest                   |   1 +
 net-im/telegram-desktop/files/1.9.21-icon.patch    |  99 ++++++++++++++
 .../telegram-desktop-1.9.21.ebuild                 | 143 +++++++++++++++++++++
 3 files changed, 243 insertions(+)

diff --git a/net-im/telegram-desktop/Manifest b/net-im/telegram-desktop/Manifest
index 3eecdabeb01..68299fefb13 100644
--- a/net-im/telegram-desktop/Manifest
+++ b/net-im/telegram-desktop/Manifest
@@ -1,3 +1,4 @@
 DIST tdesktop-1.9.14-full.tar.gz 25324084 BLAKE2B 45c071aa573541b6e483d2ae712b7f3b672c1294e8e7e624d9292f7176482f4d68069c35541019dc27fdb1c66134c29fb4d3667f1197e7085e4f8a80c8ca603c SHA512 56efa64048d23b280782b51319c0071c6cef833cb7e2584e52c6e45488577755beb85185ec9187029c425cc8d4c9c1887142687c744697e7731a15abe2846056
 DIST tdesktop-1.9.19-full.tar.gz 25840478 BLAKE2B 1a730e74df71af0c8fcc579fb1b2546fe279d64dd60786a32e015dbc0046a5d4a933bfdc128f7bb2b624705e6788ec6d597ceeb328f91dc173d1c5a0e739a29c SHA512 29070c6e1d813943d5062dc1703f383a18323b5698fbc4e6f2c89b33366da9da5d1ec84dc29950288e7e7d112024de2924244ec9c800d59d4b210e6288c7291d
 DIST tdesktop-1.9.20-full.tar.gz 25847905 BLAKE2B 228e7ad703bf3c3ca5ac198d099b0c747ddce31fbf7f93b46084043b0d02f36df54f684ee1cddb1040ff83cb1d5c41a05e84e045c68fba4bf13c864ab0b29e80 SHA512 d4f3b57a5b34f47b9a35517d15f7296509e9b2a160d6c8b77aae1c791e13c5171409c32be371bd8191bb8fbde3e32d03c380a99b5587a98c38b93f34c8cd7b52
+DIST tdesktop-1.9.21-full.tar.gz 25848026 BLAKE2B 503e22bcc83a64721aa4c4c6e8bca89c4c976703c338b1615c5ab1599098e98cbd220a94cffdbe24d9c305b44ffef7719ad1c2d2ad81f4ec6edc8377e1afa4ef SHA512 ea02fc69e88ed6244ed420516bb7a93827cb85efaa0a7e9af7562aa1bc29184c5a2102caca8693c976b25d374832e0deb2ccbf00144d5340b5ffacbdc9dcebf1

diff --git a/net-im/telegram-desktop/files/1.9.21-icon.patch b/net-im/telegram-desktop/files/1.9.21-icon.patch
new file mode 100644
index 00000000000..689e01af72c
--- /dev/null
+++ b/net-im/telegram-desktop/files/1.9.21-icon.patch
@@ -0,0 +1,99 @@
+From d2291f5b17e0c169083a34e51053a99546207ec8 Mon Sep 17 00:00:00 2001
+From: Ilya Fedin <fedin-ilja2010@ya.ru>
+Date: Tue, 17 Mar 2020 23:13:11 +0400
+Subject: [PATCH] Fix panel icon forcing
+
+---
+ .../platform/linux/main_window_linux.cpp      | 20 +++++++++++--------
+ .../platform/linux/main_window_linux.h        |  2 +-
+ 2 files changed, 13 insertions(+), 9 deletions(-)
+
+diff --git a/Telegram/SourceFiles/platform/linux/main_window_linux.cpp b/Telegram/SourceFiles/platform/linux/main_window_linux.cpp
+index 347395ab38..3d30ef755c 100644
+--- a/Telegram/SourceFiles/platform/linux/main_window_linux.cpp
++++ b/Telegram/SourceFiles/platform/linux/main_window_linux.cpp
+@@ -78,7 +78,8 @@ QString GetTrayIconName(int counter, bool muted) {
+ 	const auto iconName = GetIconName();
+ 	const auto panelIconName = GetPanelIconName(counter, muted);
+ 
+-	if (QIcon::hasThemeIcon(panelIconName)) {
++	if (QIcon::hasThemeIcon(panelIconName)
++		|| qEnvironmentVariableIsSet(kForcePanelIcon.utf8())) {
+ 		return panelIconName;
+ 	} else if (QIcon::hasThemeIcon(iconName)) {
+ 		return iconName;
+@@ -158,7 +159,7 @@ QIcon TrayIconGen(int counter, bool muted) {
+ 			|| iconThemeName != TrayIconThemeName
+ 			|| iconName != TrayIconName) {
+ 			if (!iconName.isEmpty()) {
+-				if(systemIcon.isNull()) {
++				if (systemIcon.isNull()) {
+ 					systemIcon = QIcon::fromTheme(iconName);
+ 				}
+ 
+@@ -467,11 +468,12 @@ void MainWindow::psTrayMenuUpdated() {
+ }
+ 
+ #ifndef TDESKTOP_DISABLE_DBUS_INTEGRATION
+-void MainWindow::setSNITrayIcon(int counter, bool muted, bool firstShow) {
++void MainWindow::setSNITrayIcon(int counter, bool muted) {
+ 	const auto iconName = GetTrayIconName(counter, muted);
+ 
+ 	if (qEnvironmentVariableIsSet(kDisableTrayCounter.utf8())
+-		&& ((!iconName.isEmpty() && !InSnap())
++		&& !iconName.isEmpty()
++		&& (!InSnap()
+ 			|| qEnvironmentVariableIsSet(kForcePanelIcon.utf8()))) {
+ 		if (_sniTrayIcon->iconName() == iconName) {
+ 			return;
+@@ -480,7 +482,8 @@ void MainWindow::setSNITrayIcon(int counter, bool muted, bool firstShow) {
+ 		_sniTrayIcon->setIconByName(iconName);
+ 		_sniTrayIcon->setToolTipIconByName(iconName);
+ 	} else if (IsIndicatorApplication()) {
+-		if(!IsIconRegenerationNeeded(counter, muted) && !firstShow) {
++		if (!IsIconRegenerationNeeded(counter, muted)
++			&& !_sniTrayIcon->iconName().isEmpty()) {
+ 			return;
+ 		}
+ 
+@@ -492,7 +495,8 @@ void MainWindow::setSNITrayIcon(int counter, bool muted, bool firstShow) {
+ 			_sniTrayIcon->setIconByName(_trayIconFile->fileName());
+ 		}
+ 	} else {
+-		if(!IsIconRegenerationNeeded(counter, muted) && !firstShow) {
++		if (!IsIconRegenerationNeeded(counter, muted)
++			&& !_sniTrayIcon->iconPixmap().isEmpty()) {
+ 			return;
+ 		}
+ 
+@@ -554,7 +558,7 @@ void MainWindow::onSNIOwnerChanged(
+ 
+ 	cSetSupportTray(trayAvailable);
+ 
+-	if(cSupportTray()) {
++	if (cSupportTray()) {
+ 		psSetupTrayIcon();
+ 	} else {
+ 		LOG(("System tray is not available."));
+@@ -575,7 +579,7 @@ void MainWindow::psSetupTrayIcon() {
+ 				this);
+ 
+ 			_sniTrayIcon->setTitle(AppName.utf16());
+-			setSNITrayIcon(counter, muted, true);
++			setSNITrayIcon(counter, muted);
+ 
+ 			attachToSNITrayIcon();
+ 		}
+diff --git a/Telegram/SourceFiles/platform/linux/main_window_linux.h b/Telegram/SourceFiles/platform/linux/main_window_linux.h
+index 8602c53806..43ab722845 100644
+--- a/Telegram/SourceFiles/platform/linux/main_window_linux.h
++++ b/Telegram/SourceFiles/platform/linux/main_window_linux.h
+@@ -123,7 +123,7 @@ public slots:
+ 	QAction *psMonospace = nullptr;
+ 	QAction *psClearFormat = nullptr;
+ 
+-	void setSNITrayIcon(int counter, bool muted, bool firstShow = false);
++	void setSNITrayIcon(int counter, bool muted);
+ 	void attachToSNITrayIcon();
+ #endif // !TDESKTOP_DISABLE_DBUS_INTEGRATION
+ 

diff --git a/net-im/telegram-desktop/telegram-desktop-1.9.21.ebuild b/net-im/telegram-desktop/telegram-desktop-1.9.21.ebuild
new file mode 100644
index 00000000000..653b2ea69cf
--- /dev/null
+++ b/net-im/telegram-desktop/telegram-desktop-1.9.21.ebuild
@@ -0,0 +1,143 @@
+# Copyright 2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7} )
+
+inherit cmake desktop flag-o-matic python-any-r1 xdg-utils
+
+MY_P="tdesktop-${PV}-full"
+
+DESCRIPTION="Official desktop client for Telegram"
+HOMEPAGE="https://desktop.telegram.org"
+SRC_URI="https://github.com/telegramdesktop/tdesktop/releases/download/v${PV}/${MY_P}.tar.gz"
+
+LICENSE="GPL-3-with-openssl-exception"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64"
+IUSE="+alsa +dbus enchant +hunspell libressl pulseaudio +spell"
+
+RDEPEND="
+	!net-im/telegram-desktop-bin
+	app-arch/lz4:=
+	app-arch/xz-utils
+	!libressl? ( dev-libs/openssl:0= )
+	libressl? ( dev-libs/libressl:0= )
+	>=dev-cpp/ms-gsl-2.1.0
+	dev-cpp/range-v3
+	dev-libs/xxhash
+	dev-qt/qtcore:5
+	dev-qt/qtimageformats:5
+	dev-qt/qtnetwork:5
+	dev-qt/qtsvg:5
+	media-libs/fontconfig:=
+	>=media-libs/libtgvoip-2.4.4_p20200301[alsa?,pulseaudio?]
+	media-libs/openal[alsa?,pulseaudio?]
+	media-libs/opus:=
+	media-video/ffmpeg:=[opus]
+	sys-libs/zlib[minizip]
+	virtual/libiconv
+	x11-libs/libva:=[X,drm]
+	x11-libs/libX11
+	|| (
+		dev-qt/qtgui:5[jpeg,png,X(-)]
+		dev-qt/qtgui:5[jpeg,png,xcb(-)]
+	)
+	|| (
+		dev-qt/qtwidgets:5[png,X(-)]
+		dev-qt/qtwidgets:5[png,xcb(-)]
+	)
+	dbus? (
+		dev-qt/qtdbus:5
+		dev-libs/libdbusmenu-qt[qt5(+)]
+	)
+	enchant? ( app-text/enchant:= )
+	hunspell? ( >=app-text/hunspell-1.7:= )
+	pulseaudio? ( media-sound/pulseaudio )
+"
+
+DEPEND="
+	${PYTHON_DEPS}
+	${RDEPEND}
+"
+
+BDEPEND="
+	>=dev-util/cmake-3.16
+	virtual/pkgconfig
+"
+
+REQUIRED_USE="|| ( alsa pulseaudio )
+	spell? (
+		^^ ( enchant hunspell )
+	)
+"
+
+S="${WORKDIR}/${MY_P}"
+
+PATCHES=(
+	"${FILESDIR}/1.9.21-icon.patch"
+)
+
+src_configure() {
+	local mycxxflags=(
+		-Wno-deprecated-declarations
+		-Wno-error=deprecated-declarations
+		-Wno-switch
+	)
+
+	append-cxxflags "${mycxxflags[@]}"
+
+	# TODO: unbundle header-only libs, ofc telegram uses git versions...
+	# it fals with tl-expected-1.0.0, so we use bundled for now to avoid git rev snapshots
+	# EXPECTED VARIANT
+	local mycmakeargs=(
+		-DDESKTOP_APP_DISABLE_CRASH_REPORTS=ON
+		-DDESKTOP_APP_USE_GLIBC_WRAPS=OFF
+		-DDESKTOP_APP_USE_PACKAGED=ON
+		-DDESKTOP_APP_USE_PACKAGED_EXPECTED=OFF
+		-DDESKTOP_APP_USE_PACKAGED_RLOTTIE=OFF
+		-DDESKTOP_APP_USE_PACKAGED_VARIANT=OFF
+		-DTDESKTOP_LAUNCHER_BASENAME="${PN}"
+		-DDESKTOP_APP_DISABLE_DBUS_INTEGRATION="$(usex dbus OFF ON)"
+		-DDESKTOP_APP_DISABLE_SPELLCHECK="$(usex spell OFF ON)" # enables hunspell
+		-DDESKTOP_APP_USE_ENCHANT="$(usex enchant ON OFF)" # enables enchant and disables hunspell
+	)
+
+	if [[ -n ${MY_TDESKTOP_API_ID} && -n ${MY_TDESKTOP_API_HASH} ]]; then
+		einfo "Found custom API credentials"
+		mycmakeargs+=(
+			-DTDESKTOP_API_ID="${MY_TDESKTOP_API_ID}"
+			-DTDESKTOP_API_HASH="${MY_TDESKTOP_API_HASH}"
+		)
+	else
+		# https://github.com/telegramdesktop/tdesktop/blob/dev/snap/snapcraft.yaml
+		# Building with snapcraft API credentials by default
+		# Custom API credentials can be obtained here:
+		# https://github.com/telegramdesktop/tdesktop/blob/dev/docs/api_credentials.md
+		# After getting credentials you can export variables:
+		#  export MY_TDESKTOP_API_ID="17349""
+		#  export MY_TDESKTOP_API_HASH="344583e45741c457fe1862106095a5eb"
+		# and restart the build"
+		# you can set above variables (without export) in /etc/portage/env/net-im/telegram-desktop
+		# portage will use custom variable every build automatically
+		mycmakeargs+=(
+			-DTDESKTOP_API_ID="611335"
+			-DTDESKTOP_API_HASH="d524b414d21f4d37f08684c1df41ac9c"
+		)
+	fi
+
+	cmake_src_configure
+}
+
+pkg_postinst() {
+	xdg_desktop_database_update
+	xdg_icon_cache_update
+	xdg_mimeinfo_database_update
+}
+
+pkg_postrm() {
+	xdg_desktop_database_update
+	xdg_icon_cache_update
+	xdg_mimeinfo_database_update
+}


             reply	other threads:[~2020-03-19 17:48 UTC|newest]

Thread overview: 38+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-03-19 17:47 Georgy Yakovlev [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-07-09  0:27 [gentoo-commits] repo/gentoo:master commit in: net-im/telegram-desktop/, net-im/telegram-desktop/files/ Yixun Lan
2024-07-04 13:47 Yixun Lan
2023-10-31  1:07 Yixun Lan
2023-10-07 22:26 Ionen Wolkens
2023-07-15 16:25 Sam James
2023-07-15 16:25 Sam James
2023-06-10 13:43 Sam James
2023-02-22 23:03 Georgy Yakovlev
2023-01-22 23:36 Georgy Yakovlev
2022-11-29 14:59 Georgy Yakovlev
2022-10-03 22:52 Georgy Yakovlev
2022-08-03 17:40 Georgy Yakovlev
2022-03-13 18:20 Arthur Zamarin
2022-03-13 18:20 Arthur Zamarin
2022-02-16 19:43 Georgy Yakovlev
2022-01-06 23:47 Georgy Yakovlev
2021-09-24 17:33 Georgy Yakovlev
2021-09-16 12:07 Georgy Yakovlev
2021-08-13 23:30 Georgy Yakovlev
2021-08-04  8:31 Georgy Yakovlev
2021-07-20  2:44 Georgy Yakovlev
2021-06-12 22:49 Georgy Yakovlev
2021-06-04 18:45 Georgy Yakovlev
2021-04-28 13:16 Georgy Yakovlev
2021-04-23 19:06 Georgy Yakovlev
2020-07-17 18:14 Georgy Yakovlev
2020-07-17 17:58 Georgy Yakovlev
2020-06-29 23:39 Georgy Yakovlev
2020-04-24 20:02 Georgy Yakovlev
2020-04-24 20:02 Georgy Yakovlev
2020-03-31 12:51 Georgy Yakovlev
2020-03-19 17:47 Georgy Yakovlev
2020-02-26  2:44 Georgy Yakovlev
2020-02-25  8:17 Georgy Yakovlev
2020-02-14  6:21 Georgy Yakovlev
2020-02-12  9:10 Georgy Yakovlev
2020-01-25 10:32 Georgy Yakovlev

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1584640039.bd4d76cff762eb05a3005f27635f8729c6120693.gyakovlev@gentoo \
    --to=gyakovlev@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox